﻿using System;
using System.Xml;
using System.Collections.Generic;

namespace Prova2
{
    public class XmlAttributeDescriptor
    {
        private readonly string _name;
        private readonly string _value;

        private XmlAttributeDescriptor(XmlAttribute xmlAttribute)
        {
            _name = xmlAttribute.Name;
            _value = xmlAttribute.Value;
        }

        public static List<XmlAttributeDescriptor> CreateXmlAttributeDescriptors(XmlAttributeCollection xmlAttributeCollection)
        {
            List<XmlAttributeDescriptor> xmlAttributeDescriptors = new List<XmlAttributeDescriptor>();
            foreach (XmlAttribute xmlAttribute in xmlAttributeCollection)
            {
                xmlAttributeDescriptors.Add(new XmlAttributeDescriptor(xmlAttribute));
            }
            return xmlAttributeDescriptors;
        }

        public string Name
        {
            get { return _name; }
        }

        public string Value
        {
            get { return _value; }
        }
    }
}
